<?php
//##############################################################################
//## pSys - Admin - Admin Funktionen                                          ##
//## Thomas Ehrhardt 2006 - 2008                                              ##
//## www.powie.de                                                             ##
//##############################################################################

//LangDB Export SQLite
/*
function  psys_export_language($ldb = ''){
	Global $pdir_media, $tab_langdb;
	if ($ldb == '') {
		$ldb = $pdir_media."/psyslang.s3db";
	}
	// 1. SQLite Init
	if ( $db = sqlite_open($ldb, 0666, $sqliteerror) ) {
	  	@sqlite_query($db,' CREATE TABLE [psyslanguage] ( [id] INTEGER  PRIMARY KEY NOT NULL,
													[tag] VARCHAR(100)  NULL,
													[word] VARCHAR(255)  NULL,
													[locale] VARCHAR(10)  NULL ) ');
		$gettags = mysql_query("Select * From $tab_langdb Where word <>'' Order By locale,tag");
		echo mysql_error();
		while( $lang = mysql_fetch_array($gettags) ){
			$result = sqlite_query($db,"Select * From psyslanguage Where tag='$lang[tag]' and locale ='$lang[locale]'");
			if ( sqlite_num_rows($result) == 0 ) {
				sqlite_query($db,"Insert Into psyslanguage (tag,word,locale) Values('$lang[tag]','$lang[word]','$lang[locale]')");
			} else {
				sqlite_query($db,"Update psyslanguage set word='$lang[word]' Where tag = '$lang[tag]' and locale = '$lang[locale]' ");
			}
		} // while
		return true;
	} else {
		msgbox($sqliteerror);
		return false;
	}
}
*/

//LangDB Import SQLite
/*
function  psys_import_language($ldb = ''){
	Global $pdir_media, $tab_langdb;
	if ($ldb == '') {
		$ldb = $pdir_media."/psyslang.s3db";
	}
	// 1. SQLite Init
	if ( $db = sqlite_open($ldb, 0666, $sqliteerror) ) {
		$result = sqlite_query($db,"Select * From psyslanguage Where word <> '' ");
		while( $lang = sqlite_fetch_array($result) ){
			$check = mysql_query("Select * From $tab_langdb Where tag='$lang[tag]' and locale='$lang[locale]'");
			if ( mysql_num_rows($check) == 0 ) {
				mysql_query("Insert Into $tab_langdb (tag,word,locale) Values('$lang[tag]','$lang[word]','$lang[locale]')");
			} else {
				mysql_query("Update $tab_langdb Set word = '$lang[word]' Where tag='$lang[tag]' and locale='$lang[locale]' ");
			}
		} // while
		return true;
	} else {
		msgbox($sqliteerror);
		return false;
	}
}
*/

//LangDB Export XML
function  psys_export_language($ldb = ''){
	Global $pdir_media, $tab_langdb,$pdb;
	if ($ldb == '') {
		$ldb = $pdir_media."/psyslang.s3db";
	}
	$languages = $pdb->fetch_array("Select locale From $tab_langdb Group By locale");
	foreach($languages as $lang) {
	    $out =new XMLWriter();
        $out->openURI($pdir_media."/langdb.".$lang['locale'].".xml");
        $out->startDocument('1.0','UTF-8');
        $out->startElement('langdb');
        //print $lang['locale'];
        $get = $pdb->query("Select * From $tab_langdb Where locale='".$lang['locale']."' Order By tag ");
        while( $dat = $pdb->fetch($get)) {
            $out->startElement('set');
            $out->writeElement('locale',utf8_encode($dat['locale']));
            $out->writeElement('tag',utf8_encode($dat['tag']));
            $out->writeElement('word',utf8_encode($dat['word']));
            $out->endElement();
        }
        $out->endElement();
        $out->endDocument();
    }
}

//LangDB Import XML:
function  psys_import_language($file) {
	Global $pdir_media, $tab_langdb, $pdb;
    if ( !class_exists("XMLReader")) {
        echo "XMLReader not available";
        return;
    }
	$file=basename($file);
	if ($file == "")
	    return;
    //Platz machen, leere lschen
    $pdb->query(" Delete From $tab_langdb Where word = '' Or word is NULL ");

    //XML ffnen
    if ( $xml = new XMLReader() ) {
        //OK
    } else {
        echo "XML READER Error";
        exit();
    }
    $xml->open($pdir_media."/".$file);
    //print $file;
    function ParseLangXML ($node){
        if (!$node->read())
            return;
        //print $node->name;
        if ($node->name =="set" and $node->nodeType == XMLReader::ELEMENT) {
            ParseLangSet($node);
        }
        parseLangXML($node);
    }

    function ParseLangSet($node){
        global $pdb, $tab_langdb;
         //print "set";
        if (!$node->read())
            return;
        while($node->name!= 'locale'){
            $node->read();
        } // while(){
        $node->read();
        $set_locale = $node->value;
        while($node->name!= 'tag'){
            $node->read();
        } // while(){
        $node->read();
        $set_tag = $node->value;
        while($node->name!= 'word'){
            $node->read();
        } // while(){
        $node->read();
        $set_word = $pdb->escape(utf8_decode($node->value));
        //Save
        if ( trim($set_word) != "") {
            //print " $set_word ";
    		$check = $pdb->query("Select * From $tab_langdb Where tag='$set_tag' and locale='$set_locale'");
    		if ( $pdb->num_rows == 0 ) {
    			$pdb->query("Insert Into $tab_langdb (tag,word,locale) Values('$set_tag','$set_word','$set_locale')");
    		} else {
    			$pdb->query("Update $tab_langdb Set word = '$lang[word]' Where tag='$lang[tag]' and locale='$lang[locale]' ");
    		}
        }
    }

    ParseLangXML($xml);

    return true;
}

function  psys_download_language() {
    Global $pdir_media, $tab_langdb, $pdb;

    $dat = file_get_contents("http://service.powie.de/service_ldb.php");
    $var = unserialize($dat);

    //Platz machen, leere lschen
    $pdb->query(" Delete From $tab_langdb Where word = '' Or word is NULL ");

    foreach($var as $tags) {
        $tags['word'] = $pdb->escape($tags['word']);
        $check = $pdb->query("Select * From $tab_langdb Where tag='$tags[tag]' and locale='$tags[locale]'");
            if ( $pdb->num_rows == 0 ) {
                $pdb->query("Insert Into $tab_langdb (tag,word,locale) Values('$tags[tag]','$tags[word]','$tags[locale]')");
            } else {
                $pdb->query("Update $tab_langdb Set word = '$tags[word]' Where tag='$tags[tag]' and locale='$tags[locale]' ");
            }
    }

    return true;
}

?>