<?php
//##############################################################################
//## pSys - Admin - Modul Installer                                           ##
//##############################################################################
// 26.01.2004 - IP des Posters festhalten / anzeigen
// 16.07.2004 - Shout Einbindung
//##############################################################################

require("admin_main.php");
require("../login.inc.php");
require("kopf.php");

if ($user_typ != "admin") {
	msgbox(LanguageTag('PLnoaccess'));
	include("fuss.php");
    exit;
}

//Installer Preset
$pdir_install = $pdir_cache."/modinstall";
if ( file_exists($pdir_install)) {
    deldir($pdir_install);
}
mkdir($pdir_install);
chmod($pdir_install, 0777);

// Upload behandeln ############################################################
if ( isset($_FILES['modfile']['tmp_name'])) {
	echo $_FILES['modfile']['type'];
	if ( $_FILES['modfile']['type'] != "application/x-zip-compressed" and
	     $_FILES['modfile']['type'] != "application/zip" ) {
	     msgBox("no zip archiv",NULL,'error');
	} else {
	    //ZIP Lib
        include($pdir_lib."/pclzip.lib.php");
        //ZIP Obj.
        $zipfile = new PclZip( $_FILES['modfile']['tmp_name'] );
        //entpacken
        $ret = $zipfile->extract( PCLZIP_OPT_PATH, $pdir_install );
        if($ret == 0) {
            //Fehler....
			msgbox("ZIP Error: {$zipfile->errorName(true)}",NULL,'error');
		}
		else {
		    //modinfo lesen
		    $fp = opendir($pdir_install);
		    while ( $entry = readdir($fp) ) {
		        if ($entry != '.' and $entry != '..') {
    		        if ( is_dir ( $pdir_install."/".$entry )) {
    		            if ( file_exists( $pdir_install."/".$entry."/modinfo.inc.php") ) {
                            include($pdir_install."/".$entry."/modinfo.inc.php");
                            //msgBox("Installiere $pmodinfo[name]");
                            if ( $pmodinfo['typ'] == "mod" ) {
                                $targetdir = $pdir_mod;
                                $install = 1;
                            } elseif ( $pmodinfo['typ'] == "opt" ) {
                                $targetdir = $pdir_opt;
                                $install = 1;
                            } elseif ( $pmodinfo['typ'] == "style" ) {
                                $targetdir = $pdir_stylehome;
                                $install = 1;
                            }
                            if ( $install == 1 ) {
                                msgBox("Install: $pmodinfo[name]");
                                $ret = $zipfile->extract( PCLZIP_OPT_PATH, $targetdir );
                                if($ret == 0) {
                                    //Fehler....
				                    msgbox("ZIP Fehler: {$zipfile->errorName(true)}");
		                        } else {
                                    if ( file_exists("$targetdir/$entry/modinstall.inc.php") ) {
                                        include("$targetdir/$entry/modinstall.inc.php");
                                    }
		                        }
                            }
    		            } else {
    		                msgBox("Kein Modul-Infofile gefunden. Installation erfolglos");
    		            }
    		        }
		        }
		    }
		}
	}
	deldir($pdir_install);
} else {
    $smarty_admin->display('admin_mod_install.tpl');
}
require("fuss.php");
?>