<?php
//##############################################################################
//## PFORUM - Spezielle Funktionen                                            ##
//##############################################################################

//Accessible Boards Query
function pform_where_board($user){
    global $pdb, $tab_board, $user_typ;
    if ( !isset($_SESSION['pf_whereboard']) and $_SESSION['pf_whereboard'] == "" ) {
        if ($user_typ == 'guest' or $user_typ == 'lock') {
            $where = " b.boardtyp Like 'Guest%' ";
        }
        if ($user_typ == 'admin' or $user_typ == 'moderate') {
            $where = " b.boardtyp Like '%' ";
        }
        if ($user_typ == 'user' ) {
            $where = " b.id In ( ";
            $get = $pdb->query("Select id,boardtyp From $tab_board order By id");
            while ($board = $pdb->fetch($get)) {
                if (getrights($board['id'],$board['boardtyp']) != "no") {
                    $where.= $board['id'].", ";
                }
            }
            $where.=" 0 ) ";
        }
        $_SESSION['pf_whereboard'] = $where;
        return $where;
    } else {
        return $_SESSION['pf_whereboard'];
    }
}

//Setzte die letzte Forum Logininformation
function pforum_logintime(){
	global $serverid, $tab_user, $user_id, $pdb;
	$pdb->query("Update $tab_user set forum_logintime = Unix_Timestamp() Where id = '$user_id'");
}

//Forum Funktionen
function pfread_save(){
	global $user_id, $serverid, $tab_read, $pdb;
	if ( $user_id > 0 ) {
		$array['boards'] = $_SESSION['s_readboard'];
		$array['threads'] = $_SESSION['s_readthread'];
		$text = serialize($array);
		$pdb->query("Update $tab_read Set readarray = '$text',edittime=UNIX_TIMESTAMP() Where userid = '$user_id' ");
		if ( $pdb->rows_affected == 0 )  {
			$pdb->query("Insert Into $tab_read (userid,readarray,edittime) Values ('$user_id','$text',UNIX_TIMESTAMP() ) ");
		}
	}
}

//Gelesen MArkierungen laden
function pfread_load(){
	global $user_id, $serverid, $tab_read, $pdb;
	$deltime = time() - (60*60*24*10);
	$pdb->query("Delete From $tab_read where edittime < $deltime");
	if ( $user_id > 0 ) {
		$temp = $pdb->query("Select readarray From $tab_read Where userid ='$user_id'");
		while( $data = $pdb->fetch($temp) ){
			$array = unserialize($data['readarray']);
			//var_dump($array);
			if ( isset($array['boards']) ) {
				$tempboard  = $array['boards'];
				foreach($tempboard as $key => $v ){
					if ( $v > $deltime) {
						$_SESSION['s_readboard'][$key] = $v;
					}
				}
			}
			if ( isset($array['threads']) ) {
				$tempthread = $array['threads'];
				foreach($tempthread as $key => $v ){
					if ( $v > $deltime) {
						$_SESSION['s_readthread'][$key] = $v;
					}
				}
			}
			//var_dump( $_SESSION['s_readthread'] );
		} // while
	}
}

// ....:::: neue verbesserte Forumsuche ::::....
function search_forum($f_text, $f_user)
{
    global $eintrag;
    global $zeilen;
    global $tab_thread, $tab_post, $tab_board;
    global $fboard, $fuser;
    global $searchparam;

    if ( $zeilen == 0) {
        $zeilen = 50;
    }
    if ($searchparam != "FULLTEXT") {
        $x = "1";
        while ($x <= "2") {
            if ($x == "1") {
                $search_string = $f_user;
            } else {
                $search_string = $f_text;
            }
            // ....:::: fhrende Leerzeichen entfernen ::::....
            while ($search_string[0] == " ") {
                $search_string = substr($search_string, 1);
            }
            // Split by whitespace
            $search_array = preg_split('/\s+/', $search_string);
            $sql = " (";
            $l = count($search_array)-1;
            if ($searchparam != "STRING") {
                for($j = 0; $j <= $l; $j++) {
                    if ($j <= $l && $j != "0") {
                        switch ($searchparam) {
                            case "OR":
                                $sql .= ' OR ';
                                break;
                            case "AND":
                                $sql .= ' AND ';
                                break;
                        }
                    }
                    $sql .= ' searchtable LIKE \'%' . $search_array[$j] . '%\' ';
                }
            } else {
                $sql .= ' searchtable LIKE \'%' . $search_string . '%\' ';
            }
            $sql .= ')';
            if ($x == "1") {
                $search_user = $sql;
            } else {
                $search_text = $sql;
            }
            $x++;
        }
        $tabpostname = str_replace("searchtable", "p.name", $search_user);
        $tabpostpost = str_replace("searchtable", "p.post", $search_text);
        $tabposttitel = str_replace("searchtable", "p.titel", $search_text);
        // ....:::: Suche ber das ganze Forum ::::....
        if ($fboard == "alle") {
            $sqlsearch = "SELECT t.* FROM $tab_thread t
						LEFT JOIN $tab_post p ON p.threadid=t.id
						WHERE ($tabpostname AND $tabpostpost)
						OR ($tabpostname AND $tabposttitel)
						GROUP BY t.id
						ORDER BY t.time DESC
						limit $eintrag,$zeilen";
        }
        // ....:::: Suche im Board ::::....
        else {
            $sqlsearch = "SELECT t.* FROM $tab_thread t
						LEFT JOIN $tab_post p ON p.threadid=t.id
						WHERE ($tabpostname AND $tabpostpost)
						  And t.boardid = '$fboard'
						OR ($tabpostname AND $tabposttitel)
						GROUP BY t.id
						ORDER BY t.time DESC
						limit $eintrag,$zeilen";
        }
        //echo $sqlsearch;
        return($sqlsearch);
    } else {
        //Usersuche
       	if ( $f_user != "" ) {
       		$sqluser = " And p.name like '%$f_user%' ";
       	}
       	//Alle Boards
        if ($fboard == "alle") {
            $sqlsearch = "SELECT t.* FROM $tab_thread t
						LEFT JOIN $tab_post p ON p.threadid=t.id
						Where Match p.post Against ('$f_text')
						  $sqluser
						GROUP BY t.id
						ORDER BY t.time DESC
						limit $eintrag,$zeilen";
        }
        // ....:::: Suche im Board nach Volltext ::::....
        else {
            $sqlsearch = "SELECT t.* FROM $tab_thread t
						LEFT JOIN $tab_post p ON p.threadid=t.id
						Left Join $tab_board b on b.id=t.boardid
						Where b.id = '$fboard'
						  And Match p.post Against ('$f_text')
						  $sqluser
						GROUP BY t.id
						ORDER BY t.time DESC
						limit $eintrag,$zeilen";
        }
        //echo $sqlsearch;
        return($sqlsearch);
    }
}

function pforum_search($text,$user,$boardid){
    $max = 50;
    global $and_acc_boards;
    global $tab_thread, $tab_post, $tab_board;
    if ( $boardid != "alle") {
        $whereboard = " and b.id = ".intval($boardid)." ";
    }
    if ( $user != "") {
        $whereuser = " and p.name Like '$user' ";
    }
    $sqlsearch = "SELECT t.*, b.name as boardname FROM $tab_thread t
				  LEFT JOIN $tab_post p ON p.threadid=t.id
				  Left Join $tab_board b on b.id=t.boardid
				  Where $and_acc_boards
				        $whereboard
				        $whereuser
				    And Match p.post Against ('$text')
				  GROUP BY t.id
				  ORDER BY t.time DESC
				  limit $max";
    return $sqlsearch;
}
?>