<?php
################################################################################
# PFILTER - Filtern von Benutzereingaben                                      ##
################################################################################
#
# INFILTER:
# Typen:
# INT   - Integer
# FLOAT - Float
# TXT   - Nur Text
# URL   - Link URL
# HTML  - HTML Code
# POST  - Postings (Forum)
function infilter($var,$typ,$method='POST')
    {
		//nach Methode einlesen
		if ( $method == 'POST' ) {
			$var = $_POST[$var];
		}
		if ( $method == 'GET' ) {
			$var = $_GET[$var];
		}
		if ( $method == 'REQUEST' ) {
			$var = $_REQUEST[$var];
		}

		//nach Filtertyp verarbeiten
		if ( $typ == 'INT' ) {
			$var = intval($var);
		}
		if ( $typ == 'FLOAT' ) {
			$var = str_replace(",",".",$var);
			$var = floatval($var);
		}
		if ( $typ == 'TXT' ) {
			$var = htmlspecialchars($var);
		}
		if ( $typ == 'POST' ) {
			//$var = htmlspecialchars($var);
		}
		if ( $typ == 'URL' ) {
			$var = strip_tags($var);
			$var = str_replace("javascript","java_script",$var);
		}
		if ( $typ == 'HTML' ) {
			$var = str_replace("javascript","java_script",$var);
		}
		//generelle Filterungen
		//
		return $var;
}

function pfilter_input($input,$typ="text")
{
	//Typen: int,text
    if ($typ == "int") {
        $result = intval($input);
    } elseif ( $typ="text") {
        $result=htmlspecialchars($input);
    }
    return $result;
}

# Output Filter
# Typen:
# FLOAT
# CUR 	- Whrung mit ,00

function outfilter($var,$typ)
{
	if ( $typ == "FLOAT" ) {
		$var = str_replace(".",",",$var);
	}
	if ( $typ == "CUR" ) {
		$var = number_format($var,2,',','.');
	}
	return $var;
}

// pSys Standardwerte einlesen erfolgt hier:
$eintrag 	= intval($_REQUEST['eintrag']);
$id 		= intval($_REQUEST['id']);
if ( $id == 0 ) {
	unset($id);
}
?>