<?php
//##############################################################################
//## pGB - Kommentare - anybody would give his senf zum Thema                 ##
//## Thomas Ehrhardt 2005                                                     ##
//## www.powie.de                                                             ##
//##############################################################################
// 09.11.2003 - Session Nickname einsetzen
// 20.10.2002 - Globale Sessiondaten in Use
// 16.10.2005 - korrekt Blocken wenn keine Kommentare erlaubt
//##############################################################################

require("pgb_main.php");
if($gb_allowkom !=1) {
    header("Location: index.php");
    exit();
}
require($pdir."/kopf.php");
require($pdir."/logincheck.inc.php");

$id       = intval($_REQUEST['id']);     //ID des Eintrages

$sgb = $pdb->RowByID($tab_data,$id);
//wenn dieser Eintrag nicht existiert, dann blocken
if ( $pdb->num_rows != 1 ) {
	msgbox(LanguageTag('PLnodata'));
	require($pdir."/fuss.php");
    exit();
}
//Wenn Kommentare abgeschalten, blocken
if ( $sgb['allowkom'] != 1 ) {
	msgbox(LanguageTag('PLMSGcomments_disabled'));
	require($pdir."/fuss.php");
	exit();
}

// ##### Neuen Kommentar eintragen.
if ($_REQUEST['savecomment'] == 1) {
	//Variablen
  	$autor  =$pdb->escape($_POST['autor']);
  	$text   =$pdb->escape($_POST['newkom']);
  	$ccode  =$_POST['ccode'];
    $zeit=time();
    if ($autor == "" or $text == "") {
   	    msgBox(LanguageTag('PLMSGmandantory_data_missing'));
   	    require($pdir."/fuss.php");
   	    exit();
    }
    if ( $user_id == 0 and (( $ccode == "" ) or ( $ccode != $_SESSION['pcaptchacode'])) ) {
        msgbox(LanguageTag('PLMSGcaptcha_error') );
        require($pdir . "/fuss.php" );
        exit();
    }
    $sqlbefehl  =  "INSERT INTO $tab_kom VALUES ('','$zeit','$id','$text','$autor')";
    $pdb->query($sqlbefehl);
	msgbox(LanguageTag('PLsaved'));
}

$sqlbefehl= "Select * FROM $tab_kom where gbid='$id' order by time DESC";
$skom = $pdb->fetch_array($sqlbefehl);

$smarty_gb->assign('id',$id);
$smarty_gb->assign('gbrow',$sgb);
$smarty_gb->assign('skom',$skom);

$smarty_gb->display('gb_comments.tpl');
$smarty_gb->display($pdir_tpl.'/core_comment_form.tpl');
$smarty_gb->display('gb_footer.tpl');
require($pdir."/fuss.php");
?>