<?php
//##############################################################################
//## pShop - Tabellen erstellen                                               ##
//##############################################################################
// 06.05.2004 - Status für Zahlung und Versand - Limit
// 08.05.2004 - artikel.einzeln . best.zusatz
// 01.08.2004 - Langtext
// 20.10.2004 - Zahlungsweisen / Preise
// 09.02.2005 - artikel.timed
// 12.02.2005 - setupshop
// 08.06.2005 - catimg
// 29.11.2005 - artcat - Link
//##############################################################################

require_once("pshop_main.php");

//######################## Datenbank Erstellung ################################

// ########################### Tabelle Artikel ##########################
$sqlbefehl= "CREATE TABLE $tab_sartikel (
   id int(14) NOT NULL auto_increment,
   catid int(11) DEFAULT '0' NOT NULL,
   artnr varchar(20),
   artbez varchar(100),
   artinfo text,
   arteinheit varchar(20),
   artpreis double NOT NULL,
   steuer double NOT NULL,
   time timestamp,
   status varchar(20),
   gekauft int(14) DEFAULT '0',
   artimg varchar(100),
   PRIMARY KEY (id)
) ENGINE = MYISAM";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

$sqlbefehl="ALTER TABLE $tab_sartikel Add blimit int(14) default '0',
									  Add menge int(14) default '0',
		  							  Add minmenge int(14) default '0'";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

$sqlbefehl="ALTER TABLE $tab_sartikel Add einzeln int(14) default '0' ";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

$sqlbefehl="ALTER TABLE $tab_sartikel Add langtext text ";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

$sqlbefehl="ALTER TABLE $tab_sartikel Add artbez2 varchar(100)";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

$sqlbefehl="ALTER TABLE $tab_sartikel Add timed int(14) default '0'";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

$sqlbefehl="ALTER TABLE $tab_sartikel Add weight double";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

$sqlbefehl="ALTER TABLE $tab_sartikel Add reorderinfo varchar(100)";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

echo "Tabelle $tab_sartikel erzeugt.<br>";

// ########################### Tabelle Artikel Eigenschaften ###################
$sqlbefehl= "CREATE TABLE $tab_arteig (
   id int(11) NOT NULL auto_increment,
   artid int(14),
   typ varchar(40),
   wert varchar(40),
   PRIMARY KEY (id),
   UNIQUE id (id)
) ENGINE = MYISAM";
$ergebnis  = mysql_query($sqlbefehl, $serverid);
echo "Tabelle $tab_arteig erzeugt.<br>";

// ########################### Tabelle Artikel Bestellzusatz ###################
$sqlbefehl= "CREATE TABLE $tab_artzus (
   id int(11) NOT NULL auto_increment,
   artid int(14),
   quest varchar(40),
   title varchar(50),
   PRIMARY KEY (id),
   UNIQUE id (id)
) ENGINE = MYISAM";
$ergebnis  = mysql_query($sqlbefehl, $serverid);
echo "Tabelle $tab_artzus erzeugt.<br>";

// ########################### Tabelle Artikel Optionspreise ###################
$sqlbefehl= "CREATE TABLE $tab_artopt (
   id int(11) NOT NULL auto_increment,
   artid int(14),
   artopt varchar(40),
   artpreis double not null,
   PRIMARY KEY (id),
   UNIQUE id (id)
) ENGINE = MYISAM";
$ergebnis  = mysql_query($sqlbefehl, $serverid);
echo "Tabelle $tab_artopt erzeugt.<br>";

// ########################### Tabelle Artikel Kategorie Link ##################
$sqlbefehl= "CREATE TABLE $tab_sartcat (
   id int(11) NOT NULL auto_increment,
   artid int(14),
   catid int(14),
   PRIMARY KEY (id),
   UNIQUE id (id)
) ENGINE = MYISAM";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

echo "Tabelle $tab_sartcat erzeugt.<br>";

// ########################### Tabelle Artikel Kommentare ######################
$sqlbefehl= "CREATE TABLE $tab_artreview (
   id int(11) NOT NULL auto_increment,
   artid int(14),
   autor int(14),
   kom text,
   status varchar(10),
   PRIMARY KEY (id),
   UNIQUE id (id)
) ENGINE = MYISAM";
$ergebnis  = mysql_query($sqlbefehl, $serverid);
echo "Tabelle $tab_artreview erzeugt.<br>";


// ########################### Tabelle Bestellungen  ###########################
$sqlbefehl= "CREATE TABLE $tab_best (
   id int(11) NOT NULL auto_increment,
   biid varchar(32),
   kundenid int(14),
   versandid int(14),
   zahlid int(14),
   time int(14),
   status varchar(20),
   PRIMARY KEY (id),
   UNIQUE id (id)
) ENGINE = MYISAM";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

$sqlbefehl="ALTER TABLE $tab_best Add zusatz text";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

echo "Tabelle $tab_best erzeugt.<br>";

// ########################### Tabelle Kunden ##################################
$sqlbefehl= "CREATE TABLE $tab_kunden (
   id int(14) NOT NULL auto_increment,
   name1 varchar(50),
   name2 varchar(50),
   strasse varchar(50),
   ort varchar(50),
   telefon varchar(30),
   email varchar(100),
   bankname varchar(50),
   blz varchar(20),
   konto varchar(20),
   inhaber varchar(30),
   versandid int(11),
   time timestamp,
   pcc varchar(32),
   PRIMARY KEY (id),
   UNIQUE id (id)
) ENGINE = MYISAM";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

$sqlbefehl="ALTER TABLE $tab_kunden ADD kundennr int(14) NOT NULL";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

$sqlbefehl= "ALTER TABLE $tab_kunden CHANGE pwd pwd varchar(50)";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

echo "Tabelle $tab_kunden erzeugt.<br>";

// ########################### Tabelle Bestellte Artikel #######################
$sqlbefehl= "CREATE TABLE $tab_bart (
   id int(11) NOT NULL auto_increment,
   bestid int(14),
   artid int(14),
   bopt varchar(40),
   bmenge double,
   bpreis double,
   PRIMARY KEY (id),
   UNIQUE id (id)
) ENGINE = MYISAM";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

$sqlbefehl="ALTER TABLE $tab_bart ADD zusatz varchar(100)";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

echo "Tabelle $tab_bart erzeugt.<br>";

// ########################### Tabelle Versandarten  ###########################
$sqlbefehl= "CREATE TABLE $tab_versand (
   id int(11) NOT NULL auto_increment,
   versandart varchar(100),
   vpreis double,
   vsteuer double,
   PRIMARY KEY (id),
   UNIQUE id (id)
) ENGINE = MYISAM";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

$sqlbefehl="ALTER TABLE $tab_versand ADD status varchar(10) default 'aktiv' ";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

$sqlbefehl="ALTER TABLE $tab_versand ADD weightfrom double Default '0'";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

$sqlbefehl="ALTER TABLE $tab_versand ADD weightto double ";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

echo "Tabelle $tab_versand erzeugt.<br>";


// ########################### Tabelle Zahlungsweisen    #######################
$sqlbefehl= "CREATE TABLE $tab_zahlung (
   id int(11) NOT NULL auto_increment,
   zahlart varchar(100),
   PRIMARY KEY (id),
   UNIQUE id (id)
) ENGINE = MYISAM";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

$sqlbefehl="ALTER TABLE $tab_zahlung ADD status varchar(10) default 'aktiv' ";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

$sqlbefehl="ALTER TABLE $tab_zahlung ADD vpreis double, ADD vsteuer double";
$ergebnis  = mysql_query($sqlbefehl, $serverid);
//Legt das Checkout Modul fest
$sqlbefehl="ALTER TABLE $tab_zahlung ADD plugin VARCHAR(100)";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

echo "Tabelle $tab_zahlung erzeugt.<br>";


// ######################### Tabelle Kategorien ################################
$sqlbefehl= "CREATE TABLE $tab_scat (
   id int(11) NOT NULL auto_increment,
   subcat int(11) DEFAULT '0' NOT NULL,
   name varchar(100) NOT NULL,
   pfad text,
   PRIMARY KEY (id),
   UNIQUE id (id)
) ENGINE = MYISAM";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

$sqlbefehl="ALTER TABLE $tab_scat ADD catimg varchar(100)";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

$sqlbefehl="ALTER TABLE $tab_scat Add welcome text ";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

echo "Tabelle $tab_scat erzeugt.<br>";

// ##### Tabelle User ##########################################################
$sqlbefehl="ALTER TABLE $tab_user ADD usershop varchar(10) DEFAULT 'gesperrt'";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

echo "Tabelle $tab_user erzeugt.<br>";

$sqlbefehl= "Update $tab_user
             Set usershop = 'Admin'
             Where id = 1";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

//Index anlegen
echo "Index wird aufgebaut ...<br />";

$sqlbefehl="ALTER TABLE $tab_sartikel drop index catid";
$ergebnis  = mysql_query($sqlbefehl, $serverid);
$sqlbefehl="ALTER TABLE $tab_sartikel ADD INDEX(catid)";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

$sqlbefehl="ALTER TABLE $tab_sartikel drop index timed";
$ergebnis  = mysql_query($sqlbefehl, $serverid);
$sqlbefehl="ALTER TABLE $tab_sartikel ADD INDEX(timed,status)";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

//## Setup #####################################################################
$sqlbefehl= "CREATE TABLE $tab_setupshop (
	shoptitel varchar(30),
	shopemail varchar(100),
	shopwaehrung varchar(10),
	shopsteuer double,
	thumbsize int(14),
	thumbsizeadmin int(14),
	zoomsize int(14),
	zps int(14),
	metakeywords varchar(200),
	metadescription varchar(200),
	versandfrei double Default '0'
) ENGINE = MYISAM";
$ergebnis  = mysql_query($sqlbefehl, $serverid);

//Datensatz anlegen wenn noch keiner existiert
$sqlbefehl = "Select * From $tab_setupshop";
$getsetup = mysql_query($sqlbefehl,$serverid);
if ( mysql_num_rows($getsetup) == 0 ) {
	$sqlbefehl = "Insert Into $tab_setupshop
	Values ('pShop','".$adminemail."','EUR',19,100,20,300,10,'key','description',0)";
	@mysql_query($sqlbefehl,$serverid);
	echo "Setup Datensatz angelegt<br />";
}
@mysql_query("Alter Table $tab_setupshop Add aktion varchar(255), Add emailcheck int(11) Default '1'",$serverid);
@mysql_query("Alter Table $tab_setupshop Add welcome text ",$serverid);
@mysql_query("Alter Table $tab_setupshop Add dbversion varchar(10) ",$serverid);
mysql_query("Update $tab_setupshop set dbversion = '$pshop_version'",$serverid);

// Ende Setup

//wenn noch keine Artikel-Kategorie Links existieren, dann die Links herstellen
$sqlbefehl = "Select * From $tab_sartcat";
$getlink = mysql_query($sqlbefehl,$serverid);
if ( mysql_num_rows($getlink) == 0 ) {
	$sqlbefehl = "Insert Into $tab_sartcat
	(artid,catid)
	Select id,catid From $tab_sartikel";
	@mysql_query($sqlbefehl,$serverid);
	echo "Artikel-Kategorie Links hergestellt<br />";
}

?>