<?php
// HTML Editor #################################################################
// HTML Editor erstellen mit name und Startvalue
function pEditorHTML($instname, $value = "" )
{
	//$instname - Instanz Name (Feldname)
	//$value    - Startwert

	global $pdir_opt,$purl_opt,$purl_lib,$pdir_lib,$pset;

	$value = stripslashes($value);

	if ( $pset['editor'] == 'fckeditor' and file_exists( $pdir_opt."/fckeditor/fckeditor.php" )  ) {
		//FCKeditor (alt)
		include($pdir_opt."/fckeditor/fckeditor.php");
        $sBasePath = $purl_opt."/fckeditor/";
        $oFCKeditor = new FCKeditor($instname) ;
        $oFCKeditor->BasePath	= $sBasePath ;
        $oFCKeditor->Height	    = 400 ;
        $oFCKeditor->Value		= $value ;
        $oFCKeditor->Create() ;
	} elseif ( $pset['editor'] == 'ckeditor' and file_exists( $pdir_opt."/ckeditor/ckeditor.php" )  ) {
		//CKeditor (neu)
		include($pdir_opt."/ckeditor/ckeditor.php");
		$sBasePath = $purl_opt."/ckeditor/";
		$oCKeditor = new CKeditor($instname) ;
		$oCKeditor->BasePath	= $sBasePath ;
		$oCKeditor->Height	    = 400 ;
		$oCKeditor->Value		= $value ;
		$oCKeditor->Create() ;
	} else {
		//PHTML
		include($pdir_lib."/phtmleditor.inc.php");
        $oHTMLeditor = new pHTMLedit($instname) ;
        $oHTMLeditor->BasePath	= $purl_lib ;
        $oHTMLeditor->Height	= 400 ;
        $oHTMLeditor->Value		= $value ;
        $oHTMLeditor->Create() ;
	}
}

//v1
function pEditorHRC1 ($instname, $value = "" )
{
	global $purl_lib,$pdir_lib;
	include_once($pdir_lib."/phrceditor.inc.php");
    $oHRCeditor = new pHRCedit($instname) ;
    $oHRCeditor->BasePath	= $purl_lib ;
    $oHRCeditor->Height		= 300 ;
    $oHRCeditor->Value		= $value ;
    $oHRCeditor->Create() ;
}

//v2
function pEditorHRC ($instname, $value = "" )
{
	global $purl_images,$pdir_lib;
	include_once($pdir_lib."/phrceditor.inc.php");
    $oHRCeditor = new pHRCedit2($instname) ;
    $oHRCeditor->ImagePath	= $purl_images."/editor" ;
    $oHRCeditor->Height		= 300 ;
    $oHRCeditor->Value		= $value ;
    $oHRCeditor->Create() ;
}

//Simpler TXT
function pEditorTXT ( $instname, $value = "" )
{
   echo "
    <textarea rows=\"10\" name=\"$instname\" id=\"$instname\"
              style=\"width:100%\">".htmlspecialchars($value)."</textarea>";
}
?>